Bug 794822 - trim Summary lines when filing kernel bugs.
Summary: trim Summary lines when filing kernel bugs.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikola Pajkovsky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-17 17:54 UTC by Dave Jones
Modified: 2015-01-04 22:31 UTC (History)
10 users (show)

Fixed In Version: abrt-2.0.10-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-18 22:59:59 UTC
Type: ---


Attachments (Terms of Use)

Description Dave Jones 2012-02-17 17:54:15 UTC
Using bug 794758 as an example:

Could you change abrt to not include the timestamp in the summary ?
It makes it easier to spot dupes when looking at a list of bugs.

Also, the kernel: is sort of pointless too. We already know it's a kernel message :-)

Comment 1 Nikola Pajkovsky 2012-02-20 10:04:00 UTC
(In reply to comment #0)

> Also, the kernel: is sort of pointless too. We already know it's a kernel
> message :-)

commit d89a239d66222d3b8e3d4b1b1af5dd64e5e3777f
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Mon Feb 20 09:57:17 2012 +0100

    bugzilla: exclude appending package name for kernel oops
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

Comment 2 Nikola Pajkovsky 2012-02-20 10:12:15 UTC
<IRQ>  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0

^^^^^ ooh!, our duplication hash calculation wont survive <IRQ> at the beginning of the kernel backtrace. Should I expect something else except <IRQ>?

Comment 3 Nikola Pajkovsky 2012-02-20 14:48:59 UTC
(In reply to comment #0)
> Could you change abrt to not include the timestamp in the summary ?
> It makes it easier to spot dupes when looking at a list of bugs.

commit 30b97427e3028dddc32b69a23907ebdf9c63b26e
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Mon Feb 20 14:38:19 2012 +0100

    dump-oops: fix removing jiffies time stamp
    
    jiffies are unsigned long, so it can be 2^64 long, which is
    20 decimal digits
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

Comment 4 Dave Jones 2012-02-20 16:38:23 UTC
not sure where you're seeing <IRQ> in that trace.

Comment 5 Nikola Pajkovsky 2012-02-20 21:32:02 UTC
in bug 771094 and there is even <EOI> :-/

Comment 6 Dave Jones 2012-02-23 22:02:15 UTC
ah, right. That's a stack trace from an interrupt handler

In some cases, that will be all we get (see bug 796864 for example)

In other cases, we will get this in addition to a regular process stack.

Complicated.

Comment 7 Dave Jones 2012-02-23 22:18:37 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=789517 is an even more complex example.
There we have an exception stack (NMI->EOE), an interrupt stack (IRQ->EOI) and a process stack.

I think in cases where we're getting multiple stacks, the hash should just be calculated on the process stack (if present). If not present, give up and hash the whole thing.

This is kinda off-topic from the original intent of this bug, which it sounds like you fixed, so feel free to clone this.

Comment 8 Fedora Update System 2012-03-27 10:18:08 UTC
abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17

Comment 9 Fedora Update System 2012-03-28 05:58:57 UTC
Package abrt-2.0.9-1.fc17, libreport-2.0.10-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.9-1.fc17 libreport-2.0.10-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-4804/abrt-2.0.9-1.fc17,libreport-2.0.10-1.fc17
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-04-02 13:34:05 UTC
abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.10-1.fc17,libreport-2.0.10-2.fc17

Comment 11 Fedora Update System 2012-04-18 22:59:59 UTC
abrt-2.0.10-1.fc17, libreport-2.0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.